package geniusweb.protocol.tournament;

import com.fasterxml.jackson.annotation.JsonSubTypes;

import geniusweb.protocol.NegoSettings;
import geniusweb.protocol.tournament.allpermutations.AllPermutationsSettings;
import geniusweb.protocol.tournament.allpermutationslearn.AllPermutationsLearnSettings;
import tudelft.utilities.logging.Reporter;

/**
 * Interface for tournament settings
 */
@JsonSubTypes({ @JsonSubTypes.Type(value = AllPermutationsSettings.class),
		@JsonSubTypes.Type(value = AllPermutationsLearnSettings.class) })
public interface TournamentSettings extends NegoSettings {
	@Override
	public TournamentProtocol getProtocol(Reporter logger);

}
